curl --request GET \
--url https://api.sfcompute.com/v0/orders/{id}/clusters \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "kubernetes_cluster",
"name": "starlight",
"kubernetes_namespace": "sf-user123",
"kubernetes_api_url": "https://starlight.sf-k8s.com",
"kubernetes_ca_cert": "-----BEGIN CERTIFICATE-----...",
"contract": {
"object": "contract",
"status": "active",
"id": "cont_xyz123",
"created_at": "2024-07-15T22:30:17.426Z",
"instance_type": "h100i",
"shape": {
"intervals": [
"2024-07-16T00:00:00Z",
"2024-07-17T00:00:00Z"
],
"quantities": [
4,
0
]
},
"colocate_with": [],
"cluster_id": "clstr_abc456",
"state": "Active",
"is_node": false
}
}
],
"has_more": false
}Get clusters associated with this order. This can currently canonly be one, but might in the future be multiple.
curl --request GET \
--url https://api.sfcompute.com/v0/orders/{id}/clusters \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "kubernetes_cluster",
"name": "starlight",
"kubernetes_namespace": "sf-user123",
"kubernetes_api_url": "https://starlight.sf-k8s.com",
"kubernetes_ca_cert": "-----BEGIN CERTIFICATE-----...",
"contract": {
"object": "contract",
"status": "active",
"id": "cont_xyz123",
"created_at": "2024-07-15T22:30:17.426Z",
"instance_type": "h100i",
"shape": {
"intervals": [
"2024-07-16T00:00:00Z",
"2024-07-17T00:00:00Z"
],
"quantities": [
4,
0
]
},
"colocate_with": [],
"cluster_id": "clstr_abc456",
"state": "Active",
"is_node": false
}
}
],
"has_more": false
}Documentation Index
Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt
Use this file to discover all available pages before exploring further.
Create an API token using sf tokens create or at https://sfcompute.com/account/api-keys.
Order ID
ordr_[0-9a-zA-Z_-]{1,21}"ordr_k3R-nX9vLm7Qp2Yw5Jd8F"